package com.sunzee.mvp.main;

import com.sunzee.base.BaseView;
import com.sunzee.model.EmailResult;

import java.util.HashMap;

/**
 * 数据处理后，需要跟页面交互的方法，放在v，然后在具体的activity 实现具体的方法
 */
public interface MainView extends BaseView {
    // 用map接收 返回值
    void getDataSuccess(HashMap result);

    // 用bean接收 返回值
    void getDataSuccess(EmailResult model);

    void getDataFail(String msg);

}
